Bug 240903 - SELinux blocks graphical boot.
Summary: SELinux blocks graphical boot.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-22 19:03 UTC by Jochen Schmitt
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:13:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jochen Schmitt 2007-05-22 19:03:40 UTC
When I try to boot Rawhide in the grapical boot mode, its blocks. But when I
type 'enforcing=0' on the kernel command line, its works fine.

I have found the follogings avc:

type=AVC msg=audit(1179859394.148:10): avc:  denied  { search } for  pid=2720
comm="setxkbmap" name=".X11-unix" dev=sdb2 ino=3306375 scontext=sy
stem_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:xdm_xserver_tmp_t:s0 tclass=dir

type=AVC msg=audit(1179859394.148:10): avc:  denied  { search } for  pid=2720
comm="setxkbmap" name=".X11-unix" dev=sdb2 ino=3306375 scontext=sy
stem_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:xdm_xserver_tmp_t:s0 tclass=dir

Used version: selinux-policy-2.6.4-8.fc7

Best Regards:

Jochen Schmitt

Comment 1 Daniel Walsh 2007-05-23 13:25:15 UTC
Fixed in selinux-policy-2.6.4-9.fc7

Comment 2 Daniel Walsh 2007-08-22 14:13:56 UTC
Should be fixed in the current release



Note You need to log in before you can comment on or make changes to this bug.